# Uses of Interface
org.opensaml.xacml.policy.ActionMatchType

Packages that use ActionMatchType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of ActionMatchType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return types with arguments of type ActionMatchType
Modifier and Type
Method
Description
`List<ActionMatchType>`
ActionType.`getActionMatches()`
Gets the action matches for this action.

## Uses of ActionMatchType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement ActionMatchType
Modifier and Type
Class
Description
`class`
`ActionMatchTypeImpl`
Concrete implementation of `ActionMatchType`.
Fields in org.opensaml.xacml.policy.impl with type parameters of type ActionMatchType
Modifier and Type
Field
Description
`private XMLObjectChildrenList<ActionMatchType>`
ActionTypeImpl.`actionMatch`
List of action matches.
Methods in org.opensaml.xacml.policy.impl that return ActionMatchType
Modifier and Type
Method
Description
`ActionMatchType`
ActionMatchTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`ActionMatchType`
ActionMatchTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.policy.impl that return types with arguments of type ActionMatchType
Modifier and Type
Method
Description
`List<ActionMatchType>`
ActionTypeImpl.`getActionMatches()`
Gets the action matches for this action.